import { computed } from 'vue';

var useCarouselStyle = _ref => {
  let {
    props,
    prefixCls,
    direction
  } = _ref;
  const wrapperClass = computed(() => {
    const classes = [prefixCls, `${prefixCls}-${direction.value}`];
    if (props.type === 'card') {
      classes.push(`${prefixCls}-card`);
    }
    return classes;
  });
  const carouselStyle = computed(() => {
    const style = {
      height: props.height
    };
    return style;
  });
  return {
    wrapperClass,
    carouselStyle
  };
};

export { useCarouselStyle as default };
